Subject: [PATCH][next] arm64: KVM: GICv3: move system register access to msr_s/mrs_s

From: [email-masked] (Will Deacon)
Date: Thu, 31 Jul 2014 14:19:47 +0100

On Thu, Jul 31, 2014 at 02:16:39PM +0100, Marc Zyngier wrote:
> Commit 72c583951526 (arm64: gicv3: Allow GICv3 compilation with
> older binutils) changed the way we express the GICv3 system registers,
> but couldn't change the occurences used by KVM as the code wasn't
> merged yet.
> 
> Just fix the accessors.
> 
> Cc: Will Deacon <[email-masked]>
> Cc: Catalin Marinas <[email-masked]>
> Cc: Christoffer Dall <[email-masked]>
> Signed-off-by: Marc Zyngier <[email-masked]>
> ---
> -next is currently borked. I suggest we take this patch via the kvmarm tree,
> and only send our PR once the arm64 tree has hit Linus' tree. It contains
> the same dependency on the GIC tree anyway.

I'm fine with that as long as Paulo doesn't mind waiting for the arm64 stuff
to go in first (I have no reason to delay my pull request, so shouldn't be
an issue).

If it helps:

  Acked-by: Will Deacon <[email-masked]>

I can't help but point out that we wouldn't be in this mess if you'd got
your stuff into -next sooner ;)

Will